#ifndef QLOPDATABASEVIEWERMODEL_H
#define QLOPDATABASEVIEWERMODEL_H

#include <QObject>
#include <QAbstractTableModel>
#include <qlopdatabase.h>

class QLopDataBaseViewerModel : public QAbstractTableModel
{
    Q_OBJECT
public:
    QLopDataBaseViewerModel(QObject *parent=0);
    ~QLopDataBaseViewerModel();

    int rowCount(const QModelIndex &parent = QModelIndex()) const Q_DECL_OVERRIDE;
    int columnCount(const QModelIndex &parent = QModelIndex()) const Q_DECL_OVERRIDE;

    QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const Q_DECL_OVERRIDE;
    QVariant headerData(int section, Qt::Orientation orientation, int role = Qt::DisplayRole) const Q_DECL_OVERRIDE;

public slots:
    void DBChanged();
private:

};

#endif // QLOPDATABASEVIEWERMODEL_H
